CVE-2017-12185 (retired)

Priority
Description
xorg-x11-server before 1.19.5 was missing length validation in
MIT-SCREEN-SAVER extension allowing malicious X client to cause X server to
crash or possibly execute arbitrary code.
Notes
 mdeslaur> same commit as CVE-2017-12184
Assigned-to
mdeslaur
Package
Source: xorg (LP Ubuntu Debian)
Upstream:not-affected
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (code not present)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Package
Upstream:not-affected
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Package
Upstream:released (1.19.5)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (2:1.15.1-0ubuntu2.11)
Ubuntu 16.04 LTS (Xenial Xerus):released (2:1.18.4-0ubuntu0.7)
Patches:
Upstream:https://cgit.freedesktop.org/xorg/xserver/commit/?id=cad5a1050b7184d828aef9c1dd151c3ab649d37e
Package
Upstream:released (1.19.5)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (2:1.19.3-1ubuntu1~16.04.4)
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):ignored (reached end-of-life)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):ignored (reached end-of-life)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):ignored (reached end-of-life)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Package
Upstream:released (1.19.5)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (2:1.18.3-1ubuntu2.3~trusty4)
Ubuntu 16.04 LTS (Xenial Xerus):DNE
More Information

Updated: 2019-03-26 12:24:37 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)